import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/sys/userCompany/pageList", formData);
}

function findByUserId(formData) {
    return request.post(constant.serverUrl + "/sys/userCompany/findByUserId", formData);
  }

function create() {
  return request.get(constant.serverUrl + "/sys/userCompany/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/sys/userCompany/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/sys/userCompany/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/sys/userCompany/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/sys/userCompany/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/sys/userCompany/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  pageList, create, edit, add, update, remove, batchRemove,findByUserId
}